Retrieves the unavailability with the specified key
Request Information
URI Parameters :
| Name | Description | Type | Additional information |
|---|---|---|---|
| id | globally unique identifier |
Required |
Body Parameters :
None.
Response Information
Resource Description :
IHttpActionResult
user_unavailability| Name | Description | Type | Additional information |
|---|---|---|---|
| id |
Primary Key |
globally unique identifier | |
| date_start |
Date+Time of the beginning |
date |
Required |
| date_end |
Date+Time of the end |
date |
Required |
| modified_dateutc |
Date+Time of the modified |
date |
Required |
| description |
Description of the unavailability |
string |
Max length: 255 |
| is_approved |
Indicate if this object has been approved using a User Week Approval |
boolean | |
| user_id |
User owner of this unavailability |
globally unique identifier |
Optionally required : user_id, user_code or user must be provided |
| user_code |
Embedded entity "user" using ERP PK when adding/updating user_unavailability |
string |
Optionally required : user_id, user_code or user must be provided |
| user |
Embedded entity "user" using node when adding/updating user_unavailability |
user |
Optionally required : user_id, user_code or user must be provided |
| user_unavailability_type_id |
Type of the unavailability, cf model user_unavailability_type |
globally unique identifier |
Required Optionally required : user_unavailability_type_id, user_unavailability_type_code or user_unavailability_type must be provided |
| user_unavailability_type_code |
Embedded entity "user_unavailability_type" using ERP PK when adding/updating user_unavailability |
string |
Optionally required : user_unavailability_type_id, user_unavailability_type_code or user_unavailability_type must be provided |
| user_unavailability_type |
Embedded entity "user_unavailability_type" using node when adding/updating user_unavailability |
user_unavailability_type |
Optionally required : user_unavailability_type_id, user_unavailability_type_code or user_unavailability_type must be provided |
Response Formats
application/json, text/json
{
"id": "5701bbc4-69e3-4e57-9b6d-b855e7556eca",
"date_start": "2026-11-19T14:55:12.8139961+00:00",
"date_end": "2026-11-19T14:55:12.8139961+00:00",
"modified_dateutc": "2026-11-19T14:55:12.8139961+00:00",
"description": "sample string 5",
"is_approved": true,
"user_id": "ae38adb9-289d-4412-91c0-34d50ca6d839",
"user_code": "sample string 8",
"user": {
"id": "30eca685-fa7c-4c88-bd59-96f3ce18a29f",
"db_language_id": "d38d3b95-f5de-4420-bd19-d2d7595965e2",
"username": "sample string 3",
"firstname": "sample string 4",
"lastname": "sample string 5",
"code": "sample string 6",
"archived": true,
"disabled": true,
"emergency_contact": "sample string 9",
"bankaccount": "sample string 10",
"social_security": "sample string 11",
"place_of_birth": "sample string 12",
"nationality": "sample string 13",
"functions": "sample string 14",
"birthdate": "2026-11-19T14:55:12.8260683+00:00",
"skype": "sample string 16",
"notes": "sample string 17",
"sales_organization_id": "a8c07ae3-d377-4bbd-8e15-8fbd06e3cd8f",
"sales_organization": {
"id": "4e7ad0dd-c08e-445d-b823-8f2c4da5f1a5",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"db_country_id": "dbf757a1-f550-465a-bb55-be0f08c59f59",
"db_currency_id": "ae218e1e-58fd-4006-a8bf-cc66df4d9264",
"db_language_id": "121c3e23-9620-4ccc-9a0f-bd3f436cd42a",
"accountancy_code": "sample string 8",
"archived": true,
"default_unit_of_measure_system_type": "sample string 10",
"street": "sample string 11",
"street2": "sample string 12",
"street_number": "sample string 13",
"zip": "sample string 14",
"city": "sample string 15",
"email": "sample string 16",
"phone": "sample string 17",
"fax": "sample string 18",
"url": "sample string 19",
"vat_reg_code": "sample string 20",
"modified_dateutc": "2026-11-19T14:55:12.8260683+00:00"
},
"sales_organization_code": "sample string 19",
"is_team_leader": true,
"team_leader_user_id": "ec24cae8-e3f0-4c87-8eed-76949a475c0a",
"email": "sample string 22",
"phone": "sample string 23",
"fax": "sample string 24",
"mobile": "sample string 25",
"private_email": "sample string 26",
"private_phone": "sample string 27",
"private_fax": "sample string 28",
"private_mobile": "sample string 29",
"private_street": "sample string 30",
"private_street_number": "sample string 31",
"private_city": "sample string 32",
"private_zip": "sample string 33",
"private_db_country_id": "7075a02d-d539-4500-8a97-04bd8553ef0b",
"private_db_country_code": "sample string 35",
"modified_dateutc": "2026-11-19T14:55:12.8260683+00:00",
"allow_hero_app": true,
"allow_sales_app": true,
"allow_service_app": true,
"user_group_id": "e8e84982-b113-4c1d-905a-3ac039325b9b"
},
"user_unavailability_type_id": "847edf20-b958-43ee-ae24-91c6626d457f",
"user_unavailability_type_code": "sample string 10",
"user_unavailability_type": {
"id": "6848de6c-777e-4173-93e1-d42bf79dc4e3",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"sales_organization_id": "d4caf073-d38f-4839-98e4-30baf73608c0",
"sales_organization_code": "sample string 6",
"sales_organization": {
"id": "4e7ad0dd-c08e-445d-b823-8f2c4da5f1a5",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"db_country_id": "dbf757a1-f550-465a-bb55-be0f08c59f59",
"db_currency_id": "ae218e1e-58fd-4006-a8bf-cc66df4d9264",
"db_language_id": "121c3e23-9620-4ccc-9a0f-bd3f436cd42a",
"accountancy_code": "sample string 8",
"archived": true,
"default_unit_of_measure_system_type": "sample string 10",
"street": "sample string 11",
"street2": "sample string 12",
"street_number": "sample string 13",
"zip": "sample string 14",
"city": "sample string 15",
"email": "sample string 16",
"phone": "sample string 17",
"fax": "sample string 18",
"url": "sample string 19",
"vat_reg_code": "sample string 20",
"modified_dateutc": "2026-11-19T14:55:12.8260683+00:00"
},
"modified_dateutc": "2026-11-19T14:55:12.8260683+00:00"
}
}